/*
 *  TOPPERS/OSEK Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      OSEK Kernel
 * 
 *  Copyright (C) 2006 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 */

/*
 *	Tv^[QbgˑW[iCQ7144Apj
 */

#if !defined( _SAMPLE_CONFIG_H_ )
#define _SAMPLE_CONFIG_H_


#include	"kernel.h"


/*
 *  SignalCountersp݃x`
 */
#define CFG_INTLVL_COUNTER	(UINT8)( 0x03 )

/*
 *  ISR1EISR2JE^݃x`
 */
#define CFG_INTLVL_HW_CNT1	(UINT8)( 0x05 )
#define CFG_INTLVL_HW_CNT2	(UINT8)( 0x02 )

/*
 *  ISR1EISR2JE^^C}̃RyAli1msj
 *
 *  CQ7144A ł MTU `l1,2  WFlWX^A,BŎgD
 *  WX^̒l ݒl -1 Ƃi}jAQƁjD
 */
#define	CFG_HW_CNT1		(UINT16)( 374 )
#define	CFG_HW_CNT2		(UINT16)( 374 )

#if !defined( _MACRO_ONLY )

/*
 *  AvP[V[hp
 */
/*
 *  AvP[V[hp̏擾֐vg^Cv錾
 */
extern UINT8	GetAppModeInfo( void );


/*
 *  TvJE^\[Xp
 */
/*
 *  SignalCounterspݏ֐vg^Cv錾
 */
extern void	InitCounterInt( void );

/*
 *  SignalCounterspݒ~֐vg^Cv錾
 */
extern void	TermCounterInt( void );

/*
 *  SignalCountersp݋N֐vg^Cv錾
 */
extern void	ActCounterInt( void );


/*
 *  ISR1EISR2ғmFp
 */
/*
 *  ISR1EISR2JE^֐vg^Cv錾
 */
extern void	InitHwCntInt( void );

/*
 *  ISR1EISR2JE^~֐vg^Cv錾
 */
extern void	TermHwCntInt( void );

/*
 *  ISR1EISR2JE^擾֐vg^Cv錾
 */
extern void	GetHwCnt( UINT8 *isr1_cnt, UINT8 *isr2_cnt );


#endif /* _MACRO_ONLY */


#endif /* _SAMPLE_CONFIG_H_ */


